list dashboards
curl --request GET \
--url https://engine.example.com/api/v1/dashboardsimport requests
url = "https://engine.example.com/api/v1/dashboards"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/dashboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/dashboards"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/dashboards")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/dashboards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"dashboards": {
"continuation_token": "<string>",
"items": [
{
"active_definition": {
"datasets": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
},
"source_query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sql": "<string>"
}
],
"description": "<string>",
"name": "<string>",
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"parameters": {},
"retention": {
"max_age_days": 1,
"max_snapshots": 1
},
"schedule": "Manual",
"widgets": [
{
"chart": {
"colors": [
"<string>"
],
"decimals": 1,
"legend": true,
"number_format": "<string>",
"series_column": "<string>",
"sort_column": "<string>",
"sort_direction": "<string>",
"stacked": true,
"table_columns": [
"<string>"
],
"thresholds": [
"<unknown>"
],
"x_column": "<string>",
"x_label": "<string>",
"y_columns": [
"<string>"
],
"y_label": "<string>"
},
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "Table",
"layout": {
"h": 1,
"w": 1,
"x": 1,
"y": 1
},
"markdown": "<string>",
"title": "<string>",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"active_revision": 1,
"created_at": {
"unix_millis": 123
},
"dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": {
"datasets": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
},
"source_query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sql": "<string>"
}
],
"description": "<string>",
"name": "<string>",
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"parameters": {},
"retention": {
"max_age_days": 1,
"max_snapshots": 1
},
"schedule": "Manual",
"widgets": [
{
"chart": {
"colors": [
"<string>"
],
"decimals": 1,
"legend": true,
"number_format": "<string>",
"series_column": "<string>",
"sort_column": "<string>",
"sort_direction": "<string>",
"stacked": true,
"table_columns": [
"<string>"
],
"thresholds": [
"<unknown>"
],
"x_column": "<string>",
"x_label": "<string>",
"y_columns": [
"<string>"
],
"y_label": "<string>"
},
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "Table",
"layout": {
"h": 1,
"w": 1,
"x": 1,
"y": 1
},
"markdown": "<string>",
"title": "<string>",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"latest_refresh_at": {
"unix_millis": 123
},
"latest_refresh_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_refresh_status": "Pending",
"latest_snapshot_at": {
"unix_millis": 123
},
"latest_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paused": true,
"pending_action": "<string>",
"revision": 1,
"updated_at": {
"unix_millis": 123
},
"workload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}List dashboards
list dashboards. GET /api/v1/dashboards. Uses the same payload, validation, revision checks and response as the unified HTTP API.
list dashboards
curl --request GET \
--url https://engine.example.com/api/v1/dashboardsimport requests
url = "https://engine.example.com/api/v1/dashboards"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/dashboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/dashboards"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/dashboards")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/dashboards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"dashboards": {
"continuation_token": "<string>",
"items": [
{
"active_definition": {
"datasets": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
},
"source_query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sql": "<string>"
}
],
"description": "<string>",
"name": "<string>",
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"parameters": {},
"retention": {
"max_age_days": 1,
"max_snapshots": 1
},
"schedule": "Manual",
"widgets": [
{
"chart": {
"colors": [
"<string>"
],
"decimals": 1,
"legend": true,
"number_format": "<string>",
"series_column": "<string>",
"sort_column": "<string>",
"sort_direction": "<string>",
"stacked": true,
"table_columns": [
"<string>"
],
"thresholds": [
"<unknown>"
],
"x_column": "<string>",
"x_label": "<string>",
"y_columns": [
"<string>"
],
"y_label": "<string>"
},
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "Table",
"layout": {
"h": 1,
"w": 1,
"x": 1,
"y": 1
},
"markdown": "<string>",
"title": "<string>",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"active_revision": 1,
"created_at": {
"unix_millis": 123
},
"dashboard_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": {
"datasets": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"settings": {
"ansi_enabled": true,
"case_sensitive": true,
"current_catalog": "<string>",
"namespace": [
"<string>"
],
"time_zone": "<string>"
},
"source_query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sql": "<string>"
}
],
"description": "<string>",
"name": "<string>",
"options": {
"compute_requirements": {
"cpu_millicores": 2,
"memory_bytes": 2,
"tuning": {
"batch_rows": 2,
"file_read_concurrency": 2,
"input_prefetch_batches": 1,
"output_buffer_batches": 2,
"query_memory_bytes": 2,
"spill_bytes": 1,
"threads": 2,
"write_batch_rows": 2,
"write_parallelism": 2,
"native_parquet_scan": true
}
},
"execution_target": "DataFusion",
"execution_timeout": {
"nanos": 499999999,
"secs": 1
},
"max_attempts": 2,
"missed_run_policy": "RunOnce",
"overlap_policy": "Wait",
"parallelism": 2,
"queue_timeout": {
"nanos": 499999999,
"secs": 1
},
"worker_scope": "Task",
"deployment_profile": "<string>",
"profile": "<string>",
"provisioner": "<string>",
"start_paused": true,
"xray": true
},
"parameters": {},
"retention": {
"max_age_days": 1,
"max_snapshots": 1
},
"schedule": "Manual",
"widgets": [
{
"chart": {
"colors": [
"<string>"
],
"decimals": 1,
"legend": true,
"number_format": "<string>",
"series_column": "<string>",
"sort_column": "<string>",
"sort_direction": "<string>",
"stacked": true,
"table_columns": [
"<string>"
],
"thresholds": [
"<unknown>"
],
"x_column": "<string>",
"x_label": "<string>",
"y_columns": [
"<string>"
],
"y_label": "<string>"
},
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "Table",
"layout": {
"h": 1,
"w": 1,
"x": 1,
"y": 1
},
"markdown": "<string>",
"title": "<string>",
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"latest_refresh_at": {
"unix_millis": 123
},
"latest_refresh_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_refresh_status": "Pending",
"latest_snapshot_at": {
"unix_millis": 123
},
"latest_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paused": true,
"pending_action": "<string>",
"revision": 1,
"updated_at": {
"unix_millis": 123
},
"workload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026